%define version 0.94.2
# stability: 'stable' or 'unstable'
%define stability stable

Summary: Free cross-platform MP3 encoder
Name: BladeEnc
Version: %{version}
Release: 8_%{stability}%{?dist}
License: LGPLv2+
Group: Applications/Multimedia
Vendor: Tord Jansson <tord.jansson@swipnet.se>
Url: http://freshmeat.net/projects/bladeenc/
Prefix: %{_prefix}

Source: bladeenc-%{version}-src-%{stability}.tar.bz2
Patch: bladeenc-0.94.2-src-stable-code_exec_bit.patch
BuildRoot: %{_tmppath}/%{name}-root
%define builddir bladeenc-%{version}

%description
BladeEnc was started by Tord Jansson as a project to make a decent, free
encoder for high bit-rate MP3 encoding, heavily based on the ISO source
code for a reference encoder. Since then it has developed into a free
software project (Open Source) with many contributors.

BladeEnc is no longer actively developed.

%prep
%setup -n %builddir
%patch -p1

%build
%configure
make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/bladeenc
%doc AUTHORS COPYING ChangeLog README TODO
%doc bladeenc.html

%changelog
* Thu Jun  3 2010 Peter Hanecak <hany@hany.sk> 0.94.2-8_stable
- spec clean-up based on rpmlint feedback
- original URL does not work => changed to freshmeat project page

* Sun May 11 2008 Peter Hanecak <hany@hany.sk> 0.94.2-7_stable
- more precise License tag: LGPLv2+

* Sun Jan 28 2007 Peter Hanecak <hany@hany.sk> 0.94.2-6_stable
- rebuild for Doors 10.0 (FC6)
- added %%{?dist} into spec
- added note about project being no longer developed into description

* Wed Jul  5 2006 Peter Hanecak <hany@hany.sk> 0.94.2-5_stable
- rebuild for Doors 9.0 (FC5)

* Fri Nov 11 2005 Peter Hanecak <hanecak@megaloman.sk> 0.94.2-4_stable
- changed group

* Sat May 21 2005 Peter Hanecak <hanecak@megaloman.sk> 0.94.2-3_stable
- applied fix for possible code execution by Auriemma Luigi <aluigi@pivx.com>

* Wed Jan  8 2003 Peter Hanecak <hanecak@megaloman.sk> 0.94.2-2_stable

* Thu Sep  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.94.2-stable
- s/Copyright/License/

* Fri Mar  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.94.0-stable
- spec tweaking (Prefix and %%configure used, ...)

* Fri Jun 16 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.93.7-unstable

* Wed Apr  5 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.93.4-unstable

* Fri Feb 25 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.92.0-stable
- URL
- updated %%files section (more documentation)

* Tue Jan  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.91.0-stable

* Tue Dec 14 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.90.0-stable

* Wed Dec  8 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.89.0-stable

* Wed Nov 24 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.87.4-unstable
- updated URL
- changed source archive to .bz2
- changed description and copyright (bladeenc.lsm)
- %%build and %%install changed to match new build process

* Wed Aug 18 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 082-stable

* Wed Aug 18 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 081-stable
- first source based release

* Fri May 28 1999 Peter Hanecak <hanecak@megaloman.sk>
- 'Url' added

* Mon Apr 26 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec
